from app import hashids
from werkzeug.routing import BaseConverter


class HashidConverter(BaseConverter):
    def to_python(self, value: str) -> int:
        return hashids.decode(value)[0]

    def to_url(self, value: int) -> str:
        return hashids.encode(value)
